#ifndef COLLISION_HANDLER_H
#define COLLISION_HANDLER_H


#include <vector>

class Object;
class Level;

class CollisionHandler
{

public:
	static CollisionHandler* instance();
	bool checkCollision( Object* o );
	static std::vector<Object*> CollisionHandler::ObjsColliding( Object *o ,  bool solidonly = false);

private:
	CollisionHandler();

	static CollisionHandler* _instance;
		
	Level* _currentLevel;
};

#endif